package com.menagerie.ophelia.HomeScreen

import androidx.compose.foundation.layout.Column
import androidx.compose.material.Button
import androidx.compose.material.Text
import androidx.compose.material3.Scaffold
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier

@Composable
fun MainMenu(
    modifier: Modifier = Modifier,
    onPolyClick: () -> Unit,
    onUserBioClick: () -> Unit,
    onCookBookClick: () -> Unit,
) {

    Scaffold {
        Column {
            Button(onClick = onPolyClick){
                Text(text = "Your Polycule - TEMP")
            }
            Button(onClick = onCookBookClick){
                Text(text = "Your Recipes - TEMP")
            }
            Button(onClick = onUserBioClick){
                Text(text = "You - TEMP")
            }
        }
    }

}